Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.grid.event
Class GridRowListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.grid.event.GridRowListenerAdapter

All Implemented Interfaces:
  GridRowListener

    public class GridRowListenerAdapter

extends java.lang.Object
implements GridRowListener

Constructor Summary
`GridRowListenerAdapter()`

Method Summary
`void` | `onRowClick(GridPanel grid, int rowIndex, EventObject e)` Fires when a row is clicked.
`void` | `onRowContextMenu(GridPanel grid, int rowIndex, EventObject e)` Fires when a row is right clicked.
`void` | `onRowDblClick(GridPanel grid, int rowIndex, EventObject e)` Fires when a row is double clicked.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GridRowListenerAdapter

    public GridRowListenerAdapter()

Method Detail

### onRowClick

    public void onRowClick(GridPanel grid,
                           int rowIndex,
                           EventObject e)

  Description copied from interface: `GridRowListener`
  Fires when a row is clicked.

  Specified by:
    `onRowClick` in interface `GridRowListener`
  Parameters:
    `grid` - this
    `rowIndex` - the row index
    `e` - the event object

### onRowContextMenu

    public void onRowContextMenu(GridPanel grid,
                                 int rowIndex,
                                 EventObject e)

  Description copied from interface: `GridRowListener`
  Fires when a row is right clicked.

  Specified by:
    `onRowContextMenu` in interface `GridRowListener`
  Parameters:
    `grid` - this
    `rowIndex` - the row index
    `e` - the event object

### onRowDblClick

    public void onRowDblClick(GridPanel grid,
                              int rowIndex,
                              EventObject e)

  Description copied from interface: `GridRowListener`
  Fires when a row is double clicked.

  Specified by:
    `onRowDblClick` in interface `GridRowListener`
  Parameters:
    `grid` - this
    `rowIndex` - the row index
    `e` - the event object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD